
 
layout(location = 0) in vec3 os_pos;
 
uniform mat4 os_to_ws;
uniform mat4 vp;

void main()
{
	vec4 ws_pos = os_to_ws * vec4(os_pos,1);
	gl_Position =  vp * ws_pos;
	//gl_Position = mvp * vec4( os_pos.xyz, 1 );
}
